//
// JmsaXASession.java - JMS Adapter XASession
//

package nyangau.jmsadapter;

import java.io.Serializable;
import javax.jms.*;
import javax.transaction.xa.XAResource;

public class JmsaXASession extends JmsaSession implements XASession
  {
//...sJmsaXASession:2:
public JmsaXASession(XASession sess, JmsaConnection conn, FlowProcessor flowproc)
  {
  super(sess, conn, flowproc);
  }
//...e
//...scommit   \45\ forbidden:2:
public void commit()
  throws JMSException
  {
  throw new TransactionInProgressException("commit forbidden on XASession");
  }
//...e
//...srollback \45\ forbidden:2:
public void rollback()
  throws JMSException
  {
  throw new TransactionInProgressException("rollback forbidden on XASession");
  }
//...e
//...sgetXAResource:2:
public XAResource getXAResource()
  { return ((XASession)s).getXAResource(); }
//...e
//...sgetSession:2:
public Session getSession()
  throws JMSException
  { return this; }
//...e
  }
